API Reference
GET /credits
Check credit balance and subscription info — MakePhotos API reference.
GET /api/v1/credits
Query your current credit balance and subscription details.
Request
curl "https://makephotos.ai/api/v1/credits?key=mk_live_..."No request body required.
Response
{
"monthly_remaining": 800,
"topup_remaining": 47,
"total": 847,
"credits_limit": 1000,
"tier": "pro",
"status": "active"
}| Field | Type | Description |
|---|---|---|
monthly_remaining | number | Credits left in current billing cycle |
topup_remaining | number | Purchased top-up credits (never expire) |
total | number | monthly_remaining + topup_remaining |
credits_limit | number | Monthly credit allowance for your tier |
tier | string | starter, pro, max, or ultra |
status | string | active, canceled, past_due, or trialing |
Errors
| Status | Code | Description |
|---|---|---|
| 401 | invalid_api_key | Invalid or missing API key |
| 500 | internal_error | Failed to fetch profile |